%define module	Class-Singleton
%define name	perl-%{module}
%define version	1.4
%define	release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A Singleton class for Perl
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Class/%{module}-%{version}.tar.bz2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is the Class::Singleton module. A Singleton describes an object class that
can have only one instance in any system. This module implements a Singleton
class from which other classes can be derived.

%prep
%setup -q -n %{module}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*



%changelog
* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4-3mdv2010.0
+ Revision: 426428
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4-2mdv2009.0
+ Revision: 223573
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.4-1mdv2008.1
+ Revision: 136684
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-1mdv2008.0
+ Revision: 98034
- new version

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.03-4mdv2008.0
+ Revision: 67715
- rebuild

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.03-3mdv2008.0
+ Revision: 23417
- rebuild


* Fri Jan 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.03-2mdk
- Rebuild.

* Wed Aug 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-1mdk
- Initial MDK release.

